List organization API keys

GET/platform/api-keys

Get all API keys for a specific organization

Authorization<token>

In: header

Query Parameters

limit?integer

Pagination limit

offset?integer

Pagination offset

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/apikeysv1.ListApiKeysResponse",
  "$ref-value": {
    "properties": {
      "api_keys": {
        "items": {
          "$ref": "#/components/schemas/apikeysv1.ApiKey",
          "$ref-value": {
            "properties": {
              "created_at": {
                "type": "string"
              },
              "expiring_at": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "last_used": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "org_id": {
                "type": "string"
              },
              "project_id": {
                "type": "string"
              },
              "project_name": {
                "type": "string"
              },
              "secret": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      },
      "total": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/platform/api-keys"

OK

application/json

{
  "$ref": "#/components/schemas/apikeysv1.ListApiKeysResponse",
  "$ref-value": {
    "properties": {
      "api_keys": {
        "items": {
          "$ref": "#/components/schemas/apikeysv1.ApiKey",
          "$ref-value": {
            "properties": {
              "created_at": {
                "type": "string"
              },
              "expiring_at": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "last_used": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "org_id": {
                "type": "string"
              },
              "project_id": {
                "type": "string"
              },
              "project_name": {
                "type": "string"
              },
              "secret": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      },
      "total": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}